Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-88070

Using FBOs in QQuickItem::updatePaintNode

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Reported
    • Priority: P2: Important
    • Resolution: Unresolved
    • Affects Version/s: 6.0.0 Beta2
    • Fix Version/s: None
    • Component/s: Qt RHI
    • Labels:
      None
    • Platform/s:
      Linux/X11

      Description

      I'm currently trying to get my project running with Qt6 and ran into an update problem with creating using FBOs in QQuickItem::updatePaintNode. Only the very first call works, from then on it always failed.

      When enabling OpenGL error messages I can see the following: QOpenGLDebugMessage("APISource", 4, "GL_INVALID_ENUM in glDrawBuffers(invalid buffer GL_BACK)", "HighSeverity", "ErrorType")

      The same code works fine with Qt 5.15. When comparing Qt 6 and Qt 5.15 in the debugger I can see, that the QRHI code is very different and does not run into glDrawBuffers with Qt 5.

      Attached you find a minimal demo - it does nothing useful and is leaking. But when resizing the window you can see the error messages.

        Attachments

        For Gerrit Dashboard: QTBUG-88070
        # Subject Branch Project Status CR V

          Activity

            People

            Assignee:
            lagocs Laszlo Agocs
            Reporter:
            uwe Uwe Rathmann
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:

                Gerrit Reviews

                There are no open Gerrit changes